ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [DO NOT REPLY: Bug 3480] New: Compile error building Ant 1.4
Date Fri, 07 Sep 2001 01:03:10 GMT
PLEASE DO NOT REPLY TO THIS MESSAGE. TO FURTHER COMMENT
ON THE STATUS OF THIS BUG PLEASE FOLLOW THE LINK BELOW
AND USE THE ON-LINE APPLICATION. REPLYING TO THIS MESSAGE
DOES NOT UPDATE THE DATABASE, AND SO YOUR COMMENT WILL
BE LOST SOMEWHERE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=3480

*** shadow/3480	Thu Sep  6 18:03:09 2001
--- shadow/3480.tmp.25025	Thu Sep  6 18:03:10 2001
***************
*** 0 ****
--- 1,31 ----
+ +============================================================================+
+ | Compile error building Ant 1.4                                             |
+ +----------------------------------------------------------------------------+
+ |        Bug #: 3480                        Product: Ant                     |
+ |       Status: NEW                         Version: 1.4                     |
+ |   Resolution:                            Platform: PC                      |
+ |     Severity: Normal                   OS/Version: Windows NT/2K           |
+ |     Priority: Other                     Component: Optional Tasks          |
+ +----------------------------------------------------------------------------+
+ |  Assigned To: ant-dev@jakarta.apache.org                                   |
+ |  Reported By: noha@grassroots.com                                          |
+ |      CC list: Cc:                                                          |
+ +----------------------------------------------------------------------------+
+ |          URL:                                                              |
+ +============================================================================+
+ |                              DESCRIPTION                                   |
+ Trying to build 1.4, I get this compile error:
+ 
+ C:\dev\jakarta-ant-1.4
+ \src\main\org\apache\tools\ant\taskdefs\optional\sitraka\CovReport.java:341: 
+ Variable project in class org.apache.tools.ant.ProjectComponent not accessible 
+ from inner class org.apache.tools.ant.taskdefs.optional.sitraka.CovReport. 
+ Reference.
+                                 classPath = new Path(project);
+                                                      ^
+ 
+ I may have a bad JAR file version; if I remove everything from lib/optional, 
+ this error goes away, because it's not trying to build it due to the supporting 
+ JARs not being there anymore.  But I didn't have any JProbe jars there in the 
+ first place, maybe the dependency checking is wrong, though this error doesn't 
+ look like that.

Mime
View raw message